Subject: Re: bug#46884: [PATCH] 27.1; Cannot run find-dired with -maxdepth

From: Eli Zaretskii <[email-masked]>
Date: Wed, 03 Mar 2021 08:15:12 +0200

> From: Allen Li <[email-masked]>
> Date: Wed, 3 Mar 2021 01:20:45 +0000
> 
> I attached a patch pulling most of the find-dired logic into a find-dired-unescaped function so that it can be
> readily reused.

Thanks, but I think a better way for adding such a feature to
find-dired would be to introduce an additional defcustom, by default
nil, that will specify 'find' options to be inserted into the 'find'
command line between "." and "\( ARGS \)".  This would allow users to
specify any switch, not just -maxdepth.

Bonus points for arranging for prompting the user to supply those
options to 'find' when find-dired is invoked with a prefix argument,
so that one-off uses of such options could be easier and more
lightweight.